Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.logging.client
Class JsonLogRecordClientUtil

    java.lang.Object
      com.google.gwt.logging.client.JsonLogRecordClientUtil

    public class JsonLogRecordClientUtil

extends java.lang.Object

A set of functions to convert SerializableLogRecords into JSON strings. The corresponding functions to convert them back are in JsonLogRecordServerUtil.java. This class should only be used in client side code since it imports com.google.gwt.json.client classes. TODO(unnurg) once there is a unified JSON GWT library, combine this with JsonLogRecordServerUtil.

Constructor Summary
`JsonLogRecordClientUtil()`

Method Summary
`static java.lang.String` | `logRecordAsJson(java.util.logging.LogRecord lr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonLogRecordClientUtil

    public JsonLogRecordClientUtil()

Method Detail

### logRecordAsJson

    public static java.lang.String logRecordAsJson(java.util.logging.LogRecord lr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD